### Method

# Clutter Transition set_remove_on_complete

#### Declaration [src]

    void
    clutter_transition_set_remove_on_complete (
      ClutterTransition* transition,
      gboolean remove_complete
    )

#### Description [src]

Sets whether `transition` should be detached from the `ClutterAnimatable` set using `clutter_transition_set_animatable()` when the `ClutterTimeline::completed` signal is emitted.

Sets property | `Clutter.Transition:remove-on-complete`

#### Parameters

`remove_complete`

  Type: `gboolean`

  Whether to detach `transition` when complete.